routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Переключение языков
Route::get('setlocale/{lang}', function ($lang) {

    $referer = Redirect::back()->getTargetUrl(); //URL предыдущей страницы
    $parse_url = parse_url($referer, PHP_URL_PATH); //URI предыдущей страницы

    //разбиваем на массив по разделителю
    $segments = explode('/', $parse_url);

    //Если URL (где нажали на переключение языка) содержал корректную метку языка
    if (in_array($segments[1], App\Http\Middleware\LocaleMiddleware::languages())) {
        unset($segments[1]); //удаляем метку
    }

    //Добавляем метку языка в URL (если выбран не язык по-умолчанию)
    if ($lang != App\Http\Middleware\LocaleMiddleware::mainLanguage()) {
        array_splice($segments, 1, 0, $lang);
    }

    //формируем полный URL
    $url = Request::root() . implode("/", $segments);

    //если были еще GET-параметры - добавляем их
    if (parse_url($referer, PHP_URL_QUERY)) {
        $url = $url . '?' . parse_url($referer, PHP_URL_QUERY);
    }
    return redirect($url); //Перенаправляем назад на ту же страницу

})->name('setlocale');

Route::group(
    [
        'prefix' => 'admin',
        'as' => 'admin.',
        'namespace' => 'Admin',
        'middleware' => ['auth', 'can:admin-panel'],
    ],
    function () {
        Route::get('/filemanager', '\UniSharp\LaravelFilemanager\Controllers\LfmController@show');
        Route::post('/filemanager/upload', '\UniSharp\LaravelFilemanager\Controllers\UploadController@upload');

        Route::get('/', 'HomeController@index')->name('home');

        Route::resource('settings', 'SettingsController')->only(["index", "update"]);

        Route::group(['namespace' => 'User', 'as' => 'user.', 'prefix' => 'user'], function () {
            Route::post('users/add-wallet', 'UsersController@addWallet')->name('users.addWallet');
            Route::post('users/remove-wallet/{wallet}', 'UsersController@removeWallet')->name('users.removeWallet');
            Route::post('users/delete', 'UsersController@delete')->name('users.delete');
            Route::post('users/restore', 'UsersController@restore')->name('users.restore');
            Route::get('users/archive', 'UsersController@archive')->name('users.archive');
            Route::resource('users', 'UsersController');

            Route::get('/profile/change-password', 'ProfileController@changePassword')->name('profile.changePassword');
            Route::post('/profile/set-password', 'ProfileController@setPassword')->name('profile.setPassword');

            Route::get('user-verifications/archive', 'UserVerificationsController@archive')->name('user-verifications.archive');
            Route::resource('user-verifications', 'UserVerificationsController')->only('index', 'show', 'update', 'edit');

            Route::get('credit-level-verifications/archive-ur', 'CreditLevelVerificationsController@archiveUr')->name('credit-level-verifications.archiveUr');
            Route::get('credit-level-verifications/archive', 'CreditLevelVerificationsController@archive')->name('credit-level-verifications.archive');
            Route::get('credit-level-verifications/show-ur/{creditLevelVerification}', 'CreditLevelVerificationsController@showUr')->name('credit-level-verifications.showUr');
            Route::get('credit-level-verifications/edit-ur/{creditLevelUrVerification}', 'CreditLevelVerificationsController@editUr')->name('credit-level-verifications.editUr');
            Route::put('credit-level-verifications/update-ur/{creditLevelUrVerification}', 'CreditLevelVerificationsController@updateUr')->name('credit-level-verifications.updateUr');
            Route::resource('credit-level-verifications', 'CreditLevelVerificationsController')->only('index', 'update', 'edit', 'show');

            Route::get('credit-line-verifications/archive', 'CreditLineVerificationsController@archive')->name('credit-line-verifications.archive');
            Route::resource('credit-line-verifications', 'CreditLineVerificationsController')->only('index', 'update', 'edit');

            Route::get('invest-rank-verifications/archive', 'InvestRankVerificationsController@archive')->name('invest-rank-verifications.archive');
            Route::resource('invest-rank-verifications', 'InvestRankVerificationsController')->only('index', 'show', 'update', 'edit');

            Route::get('deposit-line-verifications/archive', 'DepositLineVerificationsController@archive')->name('deposit-line-verifications.archive');
            Route::resource('deposit-line-verifications', 'DepositLineVerificationsController')->only('index', 'update', 'edit');

            Route::get('user-changes/archive', 'UserChangesController@archive')->name('user-changes.archive');
            Route::resource('user-changes', 'UserChangesController')->only('index', 'update', 'edit');
        });

        Route::group(['namespace' => 'Content', 'prefix' => 'content', 'as' => 'content.'], function () {
            Route::get('pages/archive', 'PagesController@archive')->name('pages.archive');
            Route::post('pages/restore', 'PagesController@restore')->name('pages.restore');
            Route::resource('pages', 'PagesController');

            Route::get('blog-categories/archive', 'BlogCategoriesController@archive')->name('blog-categories.archive');
            Route::post('blog-categories/restore', 'BlogCategoriesController@restore')->name('blog-categories.restore');
            Route::resource('blog-categories', 'BlogCategoriesController');

            Route::get('blogs/archive', 'BlogsController@archive')->name('blogs.archive');
            Route::post('blogs/restore', 'BlogsController@restore')->name('blogs.restore');
            Route::resource('blogs', 'BlogsController');

            Route::get('certificates/archive', 'CertificatesController@archive')->name('certificates.archive');
            Route::post('certificates/restore', 'CertificatesController@restore')->name('certificates.restore');
            Route::resource('certificates', 'CertificatesController');

            Route::get('faq-categories/archive', 'FaqCategoriesController@archive')->name('faq-categories.archive');
            Route::post('faq-categories/restore', 'FaqCategoriesController@restore')->name('faq-categories.restore');
            Route::resource('faq-categories', 'FaqCategoriesController');

            Route::get('faqs/archive', 'FaqsController@archive')->name('faqs.archive');
            Route::post('faqs/restore', 'FaqsController@restore')->name('faqs.restore');
            Route::resource('faqs', 'FaqsController');

            Route::get('block-packages/archive', 'BlockPackagesController@archive')->name('block-packages.archive');
            Route::post('block-packages/restore', 'BlockPackagesController@restore')->name('block-packages.restore');
            Route::resource('block-packages', 'BlockPackagesController');

            Route::get('page-about', 'PageAboutController@edit')->name('page-about.edit');
            Route::resource('page-about', 'PageAboutController')->only('update');

            Route::get('page-bonus', 'PageBonusController@edit')->name('page-bonus.edit');
            Route::resource('page-bonus', 'PageBonusController')->only('update');

            Route::get('page-main', 'PageMainController@edit')->name('page-main.edit');
            Route::resource('page-main', 'PageMainController')->only('update');

            Route::get('page-investor', 'PageInvestorController@edit')->name('page-investor.edit');
            Route::resource('page-investor', 'PageInvestorController')->only('update');
        });

        Route::group(['namespace' => 'Handbook', 'prefix' => 'handbook', 'as' => 'handbook.'], function () {
            Route::get('credit-levels/archive', 'CreditLevelsController@archive')->name('credit-levels.archive');
            Route::post('credit-levels/restore', 'CreditLevelsController@restore')->name('credit-levels.restore');
            Route::resource('credit-levels', 'CreditLevelsController');

            Route::get('investor-ranks/archive', 'InvestorRanksController@archive')->name('investor-ranks.archive');
            Route::post('investor-ranks/restore', 'InvestorRanksController@restore')->name('investor-ranks.restore');
            Route::resource('investor-ranks', 'InvestorRanksController');

            Route::get('type-transactions/archive', 'TypeTransactionsController@archive')->name('type-transactions.archive');
            Route::post('type-transactions/restore', 'TypeTransactionsController@restore')->name('type-transactions.restore');
            Route::resource('type-transactions', 'TypeTransactionsController');

            Route::get('assets/archive', 'AssetsController@archive')->name('assets.archive');
            Route::get('assets/coins', 'AssetsController@coins')->name('assets.coins');
            Route::post('assets/restore', 'AssetsController@restore')->name('assets.restore');
            Route::resource('assets', 'AssetsController');

            Route::resource('type-statuses', 'TypeStatusesController');
            Route::resource('type-two-statuses', 'TypeTwoStatusesController');
        });

        Route::post('forms/restore', 'FormsController@restore')->name('forms.restore');
        Route::get('forms/archive', 'FormsController@archive')->name('forms.archive');
        Route::resource('forms', 'FormsController')->only('index', 'destroy');

        Route::post('subscribes/restore', 'SubscribesController@restore')->name('subscribes.restore');

app/Http/Controllers/Admin/User/CreditLevelVerificationsController.php
<?php

namespace App\Http\Controllers\Admin\User;

use App\Entity\Handbook\CreditLevel;
use App\Entity\Trader\CreditLevelUrVerification;
use App\Entity\Trader\CreditLevelVerification;
use App\Http\Controllers\Controller;
use App\Services\User\Repositories\EloquentUserRepository;
use App\Services\User\Requests\Filter\FilterCreditLevelVerificationsRequest;
use App\Services\User\Requests\Verify\CreditLevel\VerifyCreditLevelManagerRequest;
use App\Services\User\CreditLevelVerifyService;

class CreditLevelVerificationsController extends Controller
{

    private $repository;
    private $service;

    public function __construct(EloquentUserRepository $repository, CreditLevelVerifyService $service)
    {
        $this->repository = $repository;
        $this->service = $service;
    }

    public function index(FilterCreditLevelVerificationsRequest $request)
    {
        $statuses = CreditLevelVerification::listStatus();
        $users = $this->repository->searchCreditLevelVerification($request)->wait()->get();
        $urUsers = $this->repository->searchCreditLevelUrVerification($request)->wait()->get();
        $users = $urUsers->merge($users);
        $isArchive = false;
        return view('admin.user.credit-level-verifications.index', compact('users', 'urUsers', 'statuses', 'isArchive'));
    }

    public function archive(FilterCreditLevelVerificationsRequest $request)
    {
        $statuses = CreditLevelVerification::listStatus();
        $users = $this->repository->searchCreditLevelVerification($request)->with('user.creditLevel')->history()->paginate(40);
        $isArchive = true;
        return view('admin.user.credit-level-verifications.index', compact('users', 'statuses', 'isArchive'));
    }

    public function archiveUr(FilterCreditLevelVerificationsRequest $request)
    {
        $statuses = CreditLevelVerification::listStatus();
        $users = $this->repository->searchCreditLevelUrVerification($request)->with('user.creditLevel')->history()->paginate(40);
        $isArchive = true;
        return view('admin.user.credit-level-verifications.index', compact('users', 'statuses', 'isArchive'));
    }

    public function show(CreditLevelVerification $creditLevelVerification)
    {
        return view('admin.user.credit-level-verifications.show', compact('creditLevelVerification'));
    }

    public function showUr(CreditLevelUrVerification $creditLevelVerification)
    {
        return view('admin.user.credit-level-verifications.show-ur', compact('creditLevelVerification'));
    }

    public function edit(CreditLevelVerification $creditLevelVerification)
    {
        $statuses = CreditLevelVerification::listStatus();
        unset($statuses[CreditLevelVerification::STATUS_WAIT]);
        $levels = CreditLevel::get()->pluck('name', 'id')->all();
        return view('admin.user.credit-level-verifications.edit', compact('statuses', 'creditLevelVerification', 'levels'));
    }

    public function update(VerifyCreditLevelManagerRequest $request, CreditLevelVerification $creditLevelVerification)
    {
        try {
            $this->service->creditLevelVerify($request, $creditLevelVerification);
        } catch (\Exception $e) {
            \Log::error('Exception', [$e]);
            return redirect()->back()->withInput($request->all())->with('danger', $e->getMessage());
        }
        return redirect()->route('admin.user.credit-level-verifications.index')->with('success', 'Запись изменена');
    }

    public function editUr(CreditLevelUrVerification $creditLevelUrVerification)
    {
        $statuses = CreditLevelVerification::listStatus();
        unset($statuses[CreditLevelVerification::STATUS_WAIT]);
        $levels = CreditLevel::get()->pluck('name', 'id')->all();
        return view('admin.user.credit-level-verifications.edit_ur', compact('statuses', 'creditLevelUrVerification', 'levels'));
    }

    public function updateUr(VerifyCreditLevelManagerRequest $request, CreditLevelUrVerification $creditLevelUrVerification)
    {
        try {
            $this->service->creditLevelUrVerify($request, $creditLevelUrVerification);
        } catch (\Exception $e) {
            \Log::error('Exception', [$e]);
            return redirect()->back()->withInput($request->all())->with('danger', $e->getMessage());
        }
        return redirect()->route('admin.user.credit-level-verifications.index')->with('success', 'Запись изменена');
    }

}

app/Http/Controllers/Admin/User/CreditLineVerificationsController.php
<?php

namespace App\Http\Controllers\Admin\User;

use App\Entity\Handbook\CreditLevel;
use App\Entity\Trader\CreditLineVerification;
use App\Http\Controllers\Controller;
use App\Services\User\Repositories\EloquentUserRepository;
use App\Services\User\Requests\Filter\FilterCreditLineVerificationsRequest;
use App\Services\User\Requests\Verify\VerifyCreditLineManagerRequest;
use App\Services\User\UserService;

class CreditLineVerificationsController extends Controller
{

    private $repository;
    private $service;

    public function __construct(EloquentUserRepository $repository, UserService $service)
    {
        $this->repository = $repository;
        $this->service = $service;
    }

    public function index(FilterCreditLineVerificationsRequest $request)
    {
        $statuses = CreditLineVerification::listStatus();
        $users = $this->repository->searchCreditLineVerification($request)->wait()->paginate(40);
        $isArchive = false;
        return view('admin.user.credit-line-verifications.index', compact('users', 'statuses', 'isArchive'));
    }

    public function archive(FilterCreditLineVerificationsRequest $request)
    {
        $statuses = CreditLineVerification::listStatus();
        $users = $this->repository->searchCreditLineVerification($request)->history()->paginate(40);
        $isArchive = true;
        return view('admin.user.credit-line-verifications.index', compact('users', 'statuses', 'isArchive'));
    }

    public function edit(CreditLineVerification $creditLineVerification)
    {
        $statuses = CreditLineVerification::listStatus();
        unset($statuses[CreditLineVerification::STATUS_WAIT]);
        $levels = CreditLevel::get()->pluck('name', 'id')->all();
        return view('admin.user.credit-line-verifications.edit', compact('statuses', 'creditLineVerification', 'levels'));
    }

    public function update(VerifyCreditLineManagerRequest $request, CreditLineVerification $creditLineVerification)
    {
        try {
            $this->service->creditLineVerify($request, $creditLineVerification);
        } catch (\Exception $e) {
            \Log::error('Exception', [$e]);
            return redirect()->back()->withInput($request->all())->with('danger', $e->getMessage());
        }
        return redirect()->route('admin.user.credit-line-verifications.index')->with('success', 'Запись изменена');
    }

}

app/Http/Controllers/Admin/User/ProfileController.php
<?php

namespace App\Http\Controllers\Admin\User;

use App\Http\Controllers\Controller;
use App\Services\User\UserService;
use Illuminate\Http\Request;

class ProfileController extends Controller
{
    private $service;

    public function __construct(UserService $service)
    {
        $this->service = $service;
    }

    public function changePassword()
    {
        return view('admin.user.profile.password');
    }

    public function setPassword(Request $request)
    {
        $this->validate($request, [
            'password' => 'required|string|min:6|confirmed',
        ]);
        $this->service->changePassword($request->get('password'), auth()->user());
        return redirect()->route('admin.user.profile.changePassword')->with('success', 'Пароль изменен');
    }
}

resources/views/admin/user/users/index.blade.php
@extends('admin.layouts.resource-layout')

@section('title')
    <h3>{{ $isArchive ? 'Архив' : '' }} Пользователи</h3>
@endsection

@section('resource-content')

    <style>
        .jambo_table th{
            font-size: 10px;
        }
        .jambo_table.table>tbody>tr>td{
            padding: 4px;
        }
    </style>
    <div class="page-filter clearfix">
        <form action="?" method="GET">
            <div class="row">
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="id" class="col-form-label">ID</label>
                        <input id="id" class="form-control" name="id" value="{{ request('id') }}">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="name" class="col-form-label">Имя</label>
                        <input id="name" class="form-control" name="name" value="{{ request('name') }}">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="status" class="col-form-label">Статус</label>
                        <select id="status" class="form-control" name="status">
                            <option value=""></option>
                            @foreach ($statuses as $value => $label)
                                <option value="{{ $value }}" {{ $value == request('status') ? 'selected' : '' }}>
                                    {{ $label }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="role" class="col-form-label">Роль</label>
                        <select id="role" class="form-control" name="role">
                            <option value=""></option>
                            @foreach ($roles as $value => $label)
                                <option value="{{ $value }}" {{ $value == request('role') ? 'selected' : '' }}>
                                    {{ $label }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="email" class="col-form-label">Email</label>
                        <input id="email" class="form-control" name="email" value="{{ request('email') }}">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group text-right">
                        <label class="col-form-label">&nbsp;</label><br/>
                        <button title="Поиск" type="submit" class="btn bg-orange">
                            <i class="fa fa-search" aria-hidden="true"></i>
                        </button>
                        <a title="Очистить" href="?" class="btn btn-default">
                            <i class="fa fa-retweet" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </form>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <div class="x_panel">
                <div class="x_content">
                    <div class="row">
                        <div class="col-xs-6">
                            <a href="{{route("admin.user.users.create")}}" class="btn btn-success btn-sm">
                                <i class="fa fa-plus"></i> Создать
                            </a>
                        </div>
                        <div class="col-xs-6 text-right">
                            @if($isArchive)
                                <a href="{{route("admin.user.users.index")}}" class="btn btn-info btn-sm">
                                    <i class="fa fa-archive" aria-hidden="true"></i> Активные
                                </a>
                            @else
                                <a href="{{route("admin.user.users.archive")}}" class="btn btn-warning btn-sm">
                                    <i class="fa fa-archive" aria-hidden="true"></i> Архив
                                </a>
                            @endif
                        </div>
                    </div>


                    <table class="table table-hover jambo_table">
                        <thead>
                        <tr>
                            <th>@sortablelink('id', 'ID')</th>
                            <th>@sortablelink('first_name', 'Имя')</th>
                            <th>@sortablelink('last_name', 'Фамилия')</th>
                            <th>@sortablelink('is_ur', 'Юр. лицо')</th>
                            <th>@sortablelink('email', 'Email')</th>
                            <th>@sortablelink('phone', 'Телефон')</th>
                            <th>@sortablelink('balance_trader', 'Баланс трейдер')</th>
                            <th>@sortablelink('balance_investor', 'Баланс инвестор')</th>
                            <th>@sortablelink('role', 'Роль')</th>
                            <th>@sortablelink('status', 'Статус')</th>
                            <th>@sortablelink('created_at', 'Создан')</th>
                            <th>Верификации</th>
                            <th width="50"></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>
                                <td>
                                    {{$user->id}}
                                </td>
                                <td>
                                    {{$user->first_name}}
                                </td>
                                <td>
                                    {{$user->last_name}}
                                </td>
                                <td>
                                    @if($user->is_ur)
                                        <span class="label label-success">Да</span>
                                    @endif
                                </td>
                                <td>
                                    <a href="{{ route('admin.user.users.show', $user) }}">
                                        {{$user->email}}
                                    </a>
                                </td>
                                <td>
                                    {{$user->phone}}
                                </td>
                                <td>
                                    {{$user->balance_trader}}
                                </td>
                                <td>
                                    {{$user->balance_investor}}
                                </td>
                                <td>
                                    <span class="label label-primary">{{ $user->role_name }}</span>
                                </td>
                                <td>
                                    <span class="label label-{{ $user->isBlock() ? 'danger' : 'success' }}">
                                        {{ $user->status_name }}
                                    </span>
                                </td>
                                <td>
                                    {{ $user->created_at }}
                                </td>
                                <td>
                                    @if($user->userVerification)
                                        <a href="/admin/user/user-verifications/{{$user->userVerification->id}}"
                                           class="label label-success">
                                            UV
                                        </a>
                                    @endif
                                    @if($user->creditLevelVerification)
                                        <a href="/admin/user/credit-level-verifications/{{$user->creditLevelVerification->id}}"
                                           class="label label-success">
                                            CLV
                                        </a>
                                    @endif
                                    @if($user->investorRankVerification)
                                        <a href="/admin/user/invest-rank-verifications/{{$user->investorRankVerification->id}}"
                                           class="label label-success">
                                            IRV
                                        </a>
                                    @endif
                                    @if($user->depositLineVerification)
                                        <a href="{{route("admin.user.deposit-line-verifications.archive")}}"
                                           class="label label-success">
                                            DLV
                                        </a>
                                    @endif
                                    {{--
                                        @if($user->creditLineVerification)
                                            <a href="/admin/user/credit-line-verifications/{{$user->creditLineVerification->id}}"
                                                class="label label-success">
                                                CLNV
                                            </a>
                                        @endif
                                        @if($user->creditLevelUrVerification)
                                            <a class="label label-success">CLUV</a>
                                        @endif
                                    --}}
                                </td>
                                <td class="text-right">
                                    @if($isArchive)
                                        {!! Form::open(['url' => route('admin.user.users.restore'), 'style' => 'display: inline-block;vertical-align: top;']) !!}
                                        {{ Form::hidden('id', $user->id) }}
                                        <div class="btn-group">
                                            <button class="btn btn-success btn-xs"><i class="fa fa-reply"
                                                                                      aria-hidden="true"></i></button>
                                        </div>
                                        {!! Form::close() !!}
                                        {!! Form::open(['url' => route('admin.user.users.delete'), 'method' => 'POST', 'style' => 'display: inline-block;vertical-align: top;']) !!}
                                        {{ Form::hidden('id', $user->id) }}
                                        <div class="btn-group">
                                            <button class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></button>
                                        </div>
                                        {!! Form::close() !!}
                                    @else
                                        <a href="{{ route('admin.user.users.show', $user) }}"
                                           class="btn btn-warning btn-xs" title="Просмотр">
                                            <i class="fa fa-eye"></i>
                                        </a>
                                        <a href="{{ route('admin.user.users.edit', $user) }}"
                                           class="btn btn-info btn-xs" title="Изменить">
                                            <i class="fa fa-pencil"></i>
                                        </a>
                                        {!! Form::open(['url' => route('admin.user.users.destroy', $user), 'method' => 'DELETE', 'style' => 'display: inline-block;vertical-align: top;']) !!}
                                        <div class="btn-group">
                                            <button class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></button>
                                        </div>
                                        {!! Form::close() !!}
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    {{ $users->appends(request()->input())->links() }}
                </div>
            </div>
        </div>
    </div>
@endsection